Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RT_Endpoint_Selector_Factory Class Reference

Factory for initializing <Endpoint_Selection_State> and obtaining appropriate <Invocation_Endpoint_Selector>. More...

`#include <RT_Endpoint_Selector_Factory.h>`

Inheritance diagram for RT_Endpoint_Selector_Factory:

[legend]
Collaboration diagram for RT_Endpoint_Selector_Factory:

[legend]
List of all members.

## Public Methods
| RT_Endpoint_Selector_Factory (void)
| Constructor. More...
virtual | ~RT_Endpoint_Selector_Factory (void)
| Destructor. More...
virtual TAO_Invocation_Endpoint_Selector * | get_selector (TAO_GIOP_Invocation *invocation ACE_ENV_ARG_DECL)
| Get an Invocation's endpoint selection strategy and initialize the endpoint selection state instance. More...
## Protected Methods
void | init_client_protocol (TAO_GIOP_Invocation *invocation ACE_ENV_ARG_DECL)
| Initializes RTCORBA::ClientProtocolPolicy in the endpoint selection state. More...
## Private Attributes
TAO_RT_Default_Endpoint_Selector * | rt_default_endpoint_selector_
| The possible endpoint selector strategies that can be returned by this factory. More...
TAO_Priority_Endpoint_Selector * | priority_endpoint_selector_
TAO_Bands_Endpoint_Selector * | bands_endpoint_selector_
TAO_Protocol_Endpoint_Selector * | protocol_endpoint_selector_
TAO_Priority_Protocol_Selector * | priority_protocol_selector_
TAO_Bands_Protocol_Selector * | bands_protocol_selector_

## Detailed Description

Factory for initializing <Endpoint_Selection_State> and obtaining appropriate <Invocation_Endpoint_Selector>.

Used by Invocation classes to intialize its endpoint selection strategy and state based on the effective policies. Endpoint selection strategies are stateless objects - all the state they need is contained by Invocation in <Endpoint_Selection_State>. Thus, rather than allocating an endpoint selection strategy object for each Invocation, the factory simply returns the appropriate one from the set preallocated in the ORB_Core. One endpoint selection strategy object can be used by many invocations concurrently.

## Constructor & Destructor Documentation

RT_Endpoint_Selector_Factory::RT_Endpoint_Selector_Factory | ( | void |  | ) |

| Constructor.

RT_Endpoint_Selector_Factory::~RT_Endpoint_Selector_Factory | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

TAO_Invocation_Endpoint_Selector * RT_Endpoint_Selector_Factory::get_selector | ( | TAO_GIOP_Invocation *invocation | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Get an Invocation's endpoint selection strategy and initialize the endpoint selection state instance. Reimplemented from TAO_Endpoint_Selector_Factory.

void RT_Endpoint_Selector_Factory::init_client_protocol | ( | TAO_GIOP_Invocation *invocation | ACE_ENV_ARG_DECL | ) | `[protected]`

| Initializes RTCORBA::ClientProtocolPolicy in the endpoint selection state.

## Member Data Documentation

TAO_Bands_Endpoint_Selector* RT_Endpoint_Selector_Factory::bands_endpoint_selector_`[private]`

TAO_Bands_Protocol_Selector* RT_Endpoint_Selector_Factory::bands_protocol_selector_`[private]`

TAO_Priority_Endpoint_Selector* RT_Endpoint_Selector_Factory::priority_endpoint_selector_`[private]`

TAO_Priority_Protocol_Selector* RT_Endpoint_Selector_Factory::priority_protocol_selector_`[private]`

TAO_Protocol_Endpoint_Selector* RT_Endpoint_Selector_Factory::protocol_endpoint_selector_`[private]`

TAO_RT_Default_Endpoint_Selector* RT_Endpoint_Selector_Factory::rt_default_endpoint_selector_`[private]`

| The possible endpoint selector strategies that can be returned by this factory.

The documentation for this class was generated from the following files:

- RT_Endpoint_Selector_Factory.h
- RT_Endpoint_Selector_Factory.cpp